# funcaptcha challenger

## Introduction

`Funcaptcha challenger` is a free python library that provides a simple interface to solve FunCaptcha challenges.

## Sponsors

### [Capsolver](https://capsolver.com?utm_source=github&utm_medium=banner_github&utm_campaign=funcaptcha_challenger)

[![Capsolver](docs/capsolver.jpg)](https://capsolver.com?utm_source=github&utm_medium=banner_github&utm_campaign=funcaptcha_challenger)

[Capsolver.com](https://capsolver.com?utm_source=github&utm_medium=banner_github&utm_campaign=funcaptcha_challenger) is
an AI-powered service that provides automatic captcha solving capabilities. It supports a range of captcha types,
including reCAPTCHA, hCaptcha, and FunCaptcha, AWS Captcha, Geetest, image captcha among others. Capsolver offers both
Chrome and Firefox extensions for ease of use, API integration for developers, and various pricing packages to suit
different needs.

## Supported challenges

| variant                       | instruction                                                                                       |                                                                              
|-------------------------------|---------------------------------------------------------------------------------------------------|
| 3d_rollball_animals           | Use the arrows to rotate the animal to face in the direction of the hand                          |
| 3d_rollball_objects           | Use the arrows to rotate the object to face in the direction of the hand                          |
| hopscotch_highsec             | Use the arrows to move the person to the icon indicated by the colored circle                     |                                                                                          
| coordinatesmatch              | Using the arrows, move the person to the indicated seat                                           |       
| train_coordinates             | Use the arrows to move the train to the coordinates indicated in the left image                   |
| BrokenJigsawbrokenjigsaw_swap |                                                                                                   | 
| shadows                       | Pick the wrong shadow                                                                             |
| penguins                      | Pick the penguin                                                                                  |
| frankenhead                   | Select the animal with the wrong head                                                             |
| counting                      | Pick the image where the number matches the amount of animals                                     |
| knotsCrossesCircle            | Pick the image with 3 circles in a row in any                                                     |
| hand_number_puzzle            | Select the image where the total fingers add up to 4                                              |
| card                          | Pick the matching cards                                                                           |
| rockstack                     | Using the arrows, pick the group of rocks that has the amount indicated on the left               | 
| cardistance                   | use the arrows to find the distance between the two cars that matches the left image              | 
| penguins-icon                 | Pick the penguin                                                                                  | 
| conveyor                      | use the arrows to pick the image where the object directly below the arrow matches the left image | 

## Installation

```bash
pip install funcaptcha-challenger
```

## Usage

[demo for 3d_rollball_objects](demo/3d_rollball_animals_demo.py)

for more examples see [demo](demo)

## Discussion

- 📱 [Telegram](https://t.me/+shEEyNIEe55lN2Rl)

## Support Me
If this project has helped you save costs or has been beneficial in any way, consider supporting it by buying me a coffee. Your donation can go a long way in helping me maintain and improve this project. Thank you for your support!

- USDT-TRC20: TNU6Lecqzu6d9fVsyvMdtFsuX5PUho5wZi

